Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface SmartHouseService

public interface SmartHouseService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `npayModules()`
  `List<IdTitle>`
  `npayServices(int moduleId)`
  `boolean`
  `smarthouseAccountDelete(int id)`
  `SmartHouseAccount`
  `smarthouseAccountGet(int id)`
  `SearchResult<SmartHouseAccount>`
  `smarthouseAccountSearch(int contractId, int contractObjectId)`
  `SmartHouseAccountType`
  `smarthouseAccountTypeGet(int id)`
  `List<SmartHouseAccountType>`
  `smarthouseAccountTypes()`
  `int`
  `smarthouseAccountTypeUpdate(SmartHouseAccountType accountType)`
  `int`
  `smarthouseAccountUpdate(SmartHouseAccount smartHouseAccount)`
  `SmartHouseOption`
  `smarthouseOptionGet(int id)`
  `int`
  `smarthouseOptionUpdate(SmartHouseOption option)`
  `List<IdTitle>`
  `smarthouseServices()`

- ## Method Details

  - ### smarthouseAccountTypes

    List<SmartHouseAccountType> smarthouseAccountTypes() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountTypeGet

    SmartHouseAccountType smarthouseAccountTypeGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountTypeUpdate

    int smarthouseAccountTypeUpdate(SmartHouseAccountType accountType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseOptionGet

    SmartHouseOption smarthouseOptionGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseOptionUpdate

    int smarthouseOptionUpdate(SmartHouseOption option) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseServices

    List<IdTitle> smarthouseServices() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### npayModules

    List<IdTitle> npayModules() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### npayServices

    List<IdTitle> npayServices(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountSearch

    SearchResult<SmartHouseAccount> smarthouseAccountSearch(int contractId, int contractObjectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountGet

    SmartHouseAccount smarthouseAccountGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountUpdate

    int smarthouseAccountUpdate(SmartHouseAccount smartHouseAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### smarthouseAccountDelete

    boolean smarthouseAccountDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`